Package com.xebialabs.xlrelease.variable

## Class VariableHelper$

- java.lang.Object
- - com.xebialabs.xlrelease.variable.VariableHelper$

- All Implemented Interfaces:
    `VariableCollector`, `VariableReplacementHelper`

      public class VariableHelper$
      extends java.lang.Object
      implements VariableReplacementHelper, VariableCollector

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static VariableHelper$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableHelper$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkVariable​(Variable variable)` |
    `void` | `checkVariableIdsAreTheSame​(java.lang.String requestVariableId, java.lang.String bodyVariableId)` |
    `void` | `checkVariables​(java.util.List<Variable> variables)` |
    `Variable` | `cloneVariable​(Variable variable, java.lang.String newKey)` |
    `boolean` | `containsOnlyVariable​(java.lang.String input)` |
    `boolean` | `containsVariables​(java.lang.String input)` |
    `java.util.List<Variable>` | `fillVariableValues​(java.util.List<Variable> target, java.util.List<Variable> source)` |
    `java.util.Map<java.lang.String,​java.lang.String>` | `filterOutBlankStringVariables​(java.util.Map<java.lang.String,​java.lang.String> variables)` |
    `java.util.Map<java.lang.String,​ValueWithInterpolation>` | `filterOutBlankValues​(java.util.Map<java.lang.String,​ValueWithInterpolation> variables)` |
    `java.lang.String` | `formatVariableIfNeeded​(java.lang.String variableName)` |
    `java.util.HashMap<java.lang.String,​Variable>` | `getAllReleaseVariablesByKeys​(Release release)` |
    `java.util.Map<java.lang.String,​PasswordStringVariable>` | `getExternalVariables​(java.util.List<Variable> variables)` |
    `java.util.Map<java.lang.String,​Variable>` | `indexByKey​(java.util.List<Variable> variables)` |
    `boolean` | `isCiPropertyVariable​(java.lang.String variableName)` | Shows if a variable looks like a ${release.something}.
    `boolean` | `isFolderVariable​(java.lang.String variableName)` |
    `boolean` | `isGlobalOrFolderVariable​(java.lang.String variableName)` |
    `boolean` | `isGlobalVariable​(java.lang.String variableName)` |
    `boolean` | `isGlobalVariableId​(java.lang.String id)` |
    `java.lang.String` | `safeReplace​(java.lang.String input, java.lang.String key, java.lang.String replacement)` |
    `java.lang.String` | `toString​(java.lang.Object untyped)` |
    `java.util.regex.Pattern` | `VARIABLE_NAME_PATTERN()` |
    `java.lang.String` | `withoutVariableSyntax​(java.lang.String variableKey)` |
    `java.lang.String` | `withVariableSyntax​(java.lang.String variableName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.xlrelease.variable.VariableCollector

      `collectVariables, collectVariablesFromValue, collectVariablesInScope, getUsedExternalPasswordVariables, getUsedStringVariables, getUsedVariables, getUsedVariables$default$2`

    - ### Methods inherited from interface com.xebialabs.xlrelease.variable.VariableReplacementHelper

      `freezeUnresolvedVariable, getPasswordVariableValuesAsStrings, getVariableValuesAsStrings, getVariableValuesAsStrings, replaceAll, replaceAll, replaceAllWithInterpolation, replaceAllWithInterpolation, resolveInterpolatableVariables`

- - ### Field Detail

    - #### MODULE$

          public static final VariableHelper$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### VariableHelper$

          public VariableHelper$()

  - ### Method Detail

    - #### VARIABLE_NAME_PATTERN

          public java.util.regex.Pattern VARIABLE_NAME_PATTERN()

    - #### safeReplace

          public java.lang.String safeReplace​(java.lang.String input,
                                              java.lang.String key,
                                              java.lang.String replacement)

    - #### isCiPropertyVariable

          public boolean isCiPropertyVariable​(java.lang.String variableName)

      Shows if a variable looks like a ${release.something}. Note that it will return "true" also for names like ${release.custom} for which `com.xebialabs.xlrelease.domain.variables.reference.ReleasePropertyVariableKey.isReleasePropertyVariableKey()` would return "false". We discourage using such variables but they may exist in older installations.
      Parameters:
        `variableName` - (undocumented)
      Returns:
        (undocumented)

    - #### isGlobalVariable

          public boolean isGlobalVariable​(java.lang.String variableName)

    - #### isFolderVariable

          public boolean isFolderVariable​(java.lang.String variableName)

    - #### isGlobalOrFolderVariable

          public boolean isGlobalOrFolderVariable​(java.lang.String variableName)

    - #### containsVariables

          public boolean containsVariables​(java.lang.String input)

    - #### formatVariableIfNeeded

          public java.lang.String formatVariableIfNeeded​(java.lang.String variableName)

    - #### containsOnlyVariable

          public boolean containsOnlyVariable​(java.lang.String input)

    - #### withVariableSyntax

          public java.lang.String withVariableSyntax​(java.lang.String variableName)

    - #### withoutVariableSyntax

          public java.lang.String withoutVariableSyntax​(java.lang.String variableKey)

    - #### checkVariable

          public void checkVariable​(Variable variable)

    - #### checkVariables

          public void checkVariables​(java.util.List<Variable> variables)

    - #### getExternalVariables

          public java.util.Map<java.lang.String,​PasswordStringVariable> getExternalVariables​(java.util.List<Variable> variables)

    - #### indexByKey

          public java.util.Map<java.lang.String,​Variable> indexByKey​(java.util.List<Variable> variables)

    - #### checkVariableIdsAreTheSame

          public void checkVariableIdsAreTheSame​(java.lang.String requestVariableId,
                                                 java.lang.String bodyVariableId)

    - #### isGlobalVariableId

          public boolean isGlobalVariableId​(java.lang.String id)

    - #### fillVariableValues

          public java.util.List<Variable> fillVariableValues​(java.util.List<Variable> target,
                                                             java.util.List<Variable> source)

    - #### cloneVariable

          public Variable cloneVariable​(Variable variable,
                                        java.lang.String newKey)

    - #### filterOutBlankStringVariables

          public java.util.Map<java.lang.String,​java.lang.String> filterOutBlankStringVariables​(java.util.Map<java.lang.String,​java.lang.String> variables)

    - #### filterOutBlankValues

          public java.util.Map<java.lang.String,​ValueWithInterpolation> filterOutBlankValues​(java.util.Map<java.lang.String,​ValueWithInterpolation> variables)

    - #### getAllReleaseVariablesByKeys

          public java.util.HashMap<java.lang.String,​Variable> getAllReleaseVariablesByKeys​(Release release)

    - #### toString

          public java.lang.String toString​(java.lang.Object untyped)